# inspired from fedora spec file
# Copyright (c) 2015-2016 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define github_name     zend-eventmanager
%define composer_name   zend-eventmanager
%define composer_vendor zendframework
%define library         EventManager

%global php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Version:        3.1.0
Release:        %mkrel 1
Summary:        Trigger and listen to events within a PHP application
Group:          Development/PHP
License:        BSD
URL:            https://framework.zend.com/
Source0:        https://github.com/zendframework/zend-eventmanager/archive/%{github_name}-release-%{version}.tar.gz
BuildArch:      noarch

# From composer, "require": {
#        "php": "^5.6 || ^7.0",
Requires:       php >= 5.6
# From composer, "suggest": {
#        "container-interop/container-interop": "^1.1.0, to use the lazy listeners feature",
#        "zendframework/zend-stdlib": "^2.7.3 || ^3.0, to use the FilterChain feature"
Suggests:       php-composer(container-interop/container-interop)
Suggests:       php-composer(%{composer_vendor}/zend-stdlib)

Obsoletes:      php-ZendFramework2-%{library} < 2.5
Provides:       php-ZendFramework2-%{library} = %{version}
Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
The Zend\EventManager is a component designed for the following use cases:

    Implementing simple subject/observer patterns.
    Implementing Aspect-Oriented designs.
    Implementing event-driven architectures.

The basic architecture allows you to attach and detach listeners to named
events, both on a per-instance basis as well as via shared collections;
trigger events; and interrupt execution of listeners.

Documentation: https://zendframework.github.io/zend-eventmanager


%prep
%setup -q -n %{github_name}-release-%{version}

%build

%install
mkdir -p   %{buildroot}%{php_libdir}/Zend/
cp -pr src %{buildroot}%{php_libdir}/Zend/%{library}

%files
%doc *.md
%doc composer.json
%{php_libdir}/Zend/%{library}


%changelog
* Sun May 07 2017 guillomovitch <guillomovitch> 3.1.0-1.mga6
+ Revision: 1099496
- imported package php-zendframework-zend-eventmanager

